Bug 59 - When compose mail to Outlook and reply using Mobile, the forwarded email is corrupt
Summary: When compose mail to Outlook and reply using Mobile, the forwarded email is c...
Status: RESOLVED FIXED
Alias: None
Product: ZeXtras
Classification: Unclassified
Component: ZxMobile (show other bugs)
Version: 1.8.0
Hardware: -- Linux
: Normal normal
Assignee: ZeXtras Bugzilla Admin
QA Contact:
URL:
Depends on:
Blocks:
 
Reported: 2013-01-22 08:49 CET by prod-info
Modified: 2013-03-15 14:00 CET (History)
2 users (show)

See Also:
Browser: ---
Zimlet Chat version: ---
Zimbra Version: 7.2.1


Attachments
the result of a forwarg/reply email (3.27 KB, message/rfc822)
2013-01-22 08:49 CET, prod-info
Details

Note You need to log in before you can comment on or make changes to this bug.
Description prod-info 2013-01-22 08:49:05 CET
Created attachment 10 [details]
the result of a forwarg/reply email

How to reproduce:
mobile: ICS 4.0.4 or Jelly Bean 4.1.2 (Google Nexus)
Outlook 2007
Zimbra 7.2.1 OSE (RHAS 6)

Compose an email using Outlook 2007
the recipient reply using Android 4.0.4 or 4.1.2 (tick "include previous email")
result:
the email forwarded is not correct.
Comment 1 Cine 2013-01-22 09:13:28 CET
Hello,

please send a copy of the original email in .eml format to community@zextras.com.

Also, please confirm the ZeXtras Suite version in use: the bug has been opened for version 1.7.2 but the attachment headers state that X-ZxMobile-Version: 1.6.5.
Comment 2 prod-info 2013-01-22 12:22:08 CET
update:
Same thing with Zmobile 1.8.0 and Zimbra 7.2.2 OSE.
I send you the original email :)
Comment 3 Cine 2013-01-24 13:59:26 CET
Hello,

we are checking the issue right now, but to give a final response we need a debug log of the error.

Please configure an account logger as described at http://wiki.zextras.com/wiki/ZxMobile_Troubleshooting#Account_Loggers_and_Mobile_Troubleshooting, reproduce the issue and send the related log to community@zextras.com.

Please don't post the log here as it will contain full email addresses and other undisclosable data. Also, please don't edit the log before sending it.


Regards,
Cine
Comment 4 Cine 2013-01-24 16:46:10 CET
The logs are being analyzed by the dev team, I'll update this report ASAP

cine
Comment 5 Cine 2013-01-24 16:57:59 CET
ZxMobile bug confirmed.

The devs are solving it as we speak and the fix will be pushed to the production tree for ZeXtras Suite 1.8.1

Thank you for the report,
cine
Comment 6 Toni Garcia 2013-02-21 12:03:56 CET
I can confirm also in ZCS 8.0.2_GA_5569 with ZeXtras 1.8.1

X-Mailer header in the original messages is:

   X-Mailer: Microsoft Office Outlook, Build 11.0.5510

I'll send a debug trace to community@zextras.com
Comment 7 Cine 2013-02-22 13:28:11 CET
Bug confirmed for ZeXtras Suite 1.8.1, a fix has been pushed to the production tree and will be included in ZeXtras Suite 1.8.2